<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.GazelleCrossValidatorDocumentationValidator']}</h2>
        <h:outputText value="#{messages['net.ihe.gazelle.xval.URLParametersAreIncorrectOrYouAreNotAllowedToAcc']}"
                      rendered="#{validatorDisplayManager.validator == null}" styleClass="gzl-alert gzl-alert-orange"/>
        <s:div id="globalDiv" rendered="#{validatorDisplayManager.validator != null}">
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.GeneralInformations']}"/>
                </ui:define>
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.Name']}</ui:define>
                        <h:outputText value="#{validatorDisplayManager.validator.name}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.AffinityDomain']}</ui:define>
                        <h:outputText value="#{validatorDisplayManager.validator.affinityDomain}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
                        <h:outputText value="#{validatorDisplayManager.validator.version}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.OID']}</ui:define>
                        <h:outputText value="#{validatorDisplayManager.validator.oid}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.Status']}</ui:define>
                        <h:outputText value="#{validatorDisplayManager.validator.status.value}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.LastModificationBy']}</ui:define>
                        <h:outputText value="#{validatorDisplayManager.validator.lastModifier}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.LastModificationOn']}</ui:define>
                        <g:date value="#{validatorDisplayManager.validator.lastModifiedDate}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.Summary']}</ui:define>
                        <h:outputText value="#{validatorDisplayManager.validator.description}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not empty validatorDisplayManager.validator.validatorParents}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.InheritRulesFrom']}</ui:define>
                        <rich:list value="#{validatorDisplayManager.validator.validatorParents}" var="ref"
                                   type="unordered">
                            <g:link value="#{ref}"/>
                        </rich:list>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.PermanentLink']}</ui:define>
                        <g:link value="#{validatorDisplayManager.validator}"/>
                    </s:decorate>
                </dl>
                <ui:define name="panel_footer">
                    <h:form>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Back']}"
                                           styleClass="gzl-btn" onclick="history.back()"/>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.AccessUnitTests']}"
                                           action="#{ruleUnitTestManager.displayUnitTestsForValidator(xvalidatorEditorManager.validator)}"
                                           styleClass="gzl-btn-blue"
                                           rendered="#{s:hasRole('admin_role' or s:hasRole('test_editor_role'))}"/>
                    </h:form>
                </ui:define>
            </ui:decorate>
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.Inputs']}"/>
                </ui:define>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xval.TheTableBelowShowsTheDocumentsmessagesUsedByThis']}"/>
                <br/>
                <br/>
                <h:form id="refFilter">
                    <s:decorate template="/xvalidation/common/validatorInputsTable.xhtml">
                        <ui:param name="inputs" value="#{validatorDisplayManager.validatorInputs}"/>
                        <ui:define name="actionButtons">
                            <a4j:commandLink styleClass="action"
                                             title="#{messages['net.ihe.gazelle.xval.DisplayReferencedObject']}"
                                             id="displayReferencedObject"
                                             action="#{xvalidatorEditorManager.redirectToReferencedObjectDoc(input)}">
                                <s:span styleClass="gzl-icon-search"/>
                            </a4j:commandLink>
                        </ui:define>
                    </s:decorate>
                </h:form>
            </ui:decorate>
            <ui:include src="/xvalidation/common/displayConfiguration.xhtml">
                <ui:param name="configuration" value="#{validatorDisplayManager.validator.configuration}"/>
            </ui:include>
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.Rules']}"/>
                </ui:define>
                <s:decorate template="/xvalidation/common/rulesTable.xhtml">
                    <ui:param name="id" value="all"/>
                    <ui:param name="rules" value="#{validatorDisplayManager.activeRules}"/>
                </s:decorate>
            </ui:decorate>
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.CoveredAssertions']}"/>
                </ui:define>
                <ui:include src="/xvalidation/common/listAssertions.xhtml">
                    <ui:param name="assertions" value="#{validatorDisplayManager.getAssertionsCoveredByRules()}"/>
                </ui:include>
            </ui:decorate>
        </s:div>
    </ui:define>
</ui:composition>
